\version "2.15.38"

\include "def-incipit.ly"
\include "def-couplets.ly"
\include "layout.ly"

#(define-markup-command (fableTitre layout props Titre Morale Air) (string? string? string?)
   (interpret-markup
    layout props
  #{\markup {
      \column {
          \line {
            \fill-line {
            \override #'(font-name . "Adobe Caslon Pro Italic")
            \fontsize #4 $Titre
            }
          }
          \line {
            \fill-line {
            \override #'(font-name . "Adobe Caslon Pro")
            \fontsize #1.5 $Morale
            }
          }
          \line {
            \fill-line {
            \override #'(font-name . "Adobe Caslon Pro Italic")
            \fontsize #1 $Air
            }
          }
      }
    }
    #}))

fableScore =
#(define-music-function
     (parser location laClef livre fable)
     (string? string? string?)
     (define laStructure
       (string-append livre 
         (string-append "/"
           (string-append fable "/structure.ly"))))
     (define leDessus
       (string-append livre 
         (string-append "/"
           (string-append fable "/voix.ly"))))
     (define laBasse
       (string-append livre 
         (string-append "/"
           (string-append fable "/basse.ly"))))
     (define lesChiffres
       (string-append livre 
         (string-append "/"
           (string-append fable "/chiffres.ly"))))
     (define lesParoles
       (string-append livre 
         (string-append "/"
           (string-append fable "/paroles.ly"))))
     #{\new ChoirStaff 
       <<
         \new Staff {
               \autoBeamOff
%               \tempo $leChemin
               \clef $laClef \staffStart
               << \include $laStructure \include $leDessus >>
         }
         \addlyrics {
           \include $lesParoles
         }
         \new Staff {
               \autoBeamOff
               \clef basse \staffStart
               << \include $laStructure \include $laBasse >>
         }
         \figures {
           \include $lesChiffres
         }
       >>
     #}
       )

\markup\fableTitre #"Le Singe et le Chat" #"Les Fripons" #"Sur l’air « Vous me l’avez dit, etc. »"
\fableScore #"vbas-dessus" #"6" #"18"
\include "6/18/couplets.ly"